# Class StDBDeviceGetByKey

java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,StDeviceKey,Optional<StDevice>>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<StDeviceKey,Optional<StDevice>>
com.io7m.stonesignal.server.database.StDBDeviceGetByKey

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseQueryType<StDeviceKey,Optional<StDevice>>`, `StDBDeviceGetByKeyType`

public final class StDBDeviceGetByKey extends StDatabaseQueryAbstract<StDeviceKey,Optional<StDevice>> implements StDBDeviceGetByKeyType
device-get-by-key

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `name()`
  `protected Optional<StDevice>`
  `onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDeviceKey device)`
  `static StDatabaseQueryProviderType<StDeviceKey,Optional<StDevice>,StDBDeviceGetByKeyType>`
  `provider()`

  ### Methods inherited from class com.io7m.stonesignal.server.database.StDatabaseQueryAbstract

  `attributes, context, context, objectMapper, onExecute, record`

  ### Methods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract

  `execute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.darco.api.DDatabaseQueryType

  `execute`

- ## Method Details

  - ### provider

    public static StDatabaseQueryProviderType<StDeviceKey,Optional<StDevice>,StDBDeviceGetByKeyType> provider()
    Returns:
      The query provider

  - ### onExecuteWithContext

    protected Optional<StDevice> onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDeviceKey device) throws Exception
    Specified by:
      `onExecuteWithContext` in class `StDatabaseQueryAbstract<StDeviceKey,Optional<StDevice>>`
    Throws:
      `Exception`

  - ### name

    protected String name()
    Specified by:
      `name` in class `StDatabaseQueryAbstract<StDeviceKey,Optional<StDevice>>`